Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Komponente

    java.lang.Object
      sum.komponenten.Komponente

Direct Known Subclasses:
  Auswahl, Fortschrittsbalken, Regler, Tabelle, Textkomponente

    public abstract class Komponente

extends Object

Die Klasse Komponente ist eine abstrakte Oberklasse fuer alle Komponenten der SuM-Komponentenbibliothek. Jede einer solchen Komponente hat eine Position, die durch die linke obere Ecke der Komponente angegeben ist. Neben der Groesse kann auch die Sichtbarkeit und die Aktivitaet gesteuert werden. Mit Hilfe der Tabulatortaste und der Maus kann der Fokus auf die jeweilige Komponente gesetzt werden.

Version:
  7.0 vom 21.9.2008
Author:
  Horst Hildebrecht, Bernard Schriek

Field Summary
`protected JComponent` | `hatComponent`
`protected Bildschirm` | `kenntFenster`

Constructor Summary
`Komponente()`

Method Summary
`void` | `aktiviere()` Die Komponente wird aktiviert.
`boolean` | `besitztFokus()` Liefert die Information, ob die Komponente den Fokus besitzt.
`int` | `breite()` Die Breite der Komponente wird zurueckgegeben.
`void` | `deaktiviere()` Die Komponente wird deaktiviert und reagiert nicht mehr.
`Color` | `farbe()` Die Hintergrundfarbe der Komponente wird zurueckgegeben.
`protected String` | `fokusErhaltenBearbeiter()` Der Name der Methode zur Bearbeitung des FokusErhalten-Ereignisses in der Ereignisanwendung wird geliefert.
`protected String` | `fokusVerlorenBearbeiter()` Der Name der Methode zur Bearbeitung des FokusVerloren-Ereignisses in der Ereignisanwendung wird geliefert.
`void` | `gibFrei()` aus Kompatibilitaetsgruenden
`int` | `hoehe()` Die Hoehe der Komponente wird zurueckgegeben.
`protected void` | `init(double pLinks, double pOben, double pBreite, double pHoehe)` Position, Breite und Hoehe der Komponente werden festgelegt.
`boolean` | `istAktiv()` Es wird zurueckgegeben, ob die Komponente aktiviert ist.
`boolean` | `istSichtbar()` Es wird zurueckgegeben, ob die Komponente sichtbar ist.
`protected void` | `lerneKomponenteKennen(Bildschirm pFenster, JComponent pKomponente)` Die Komponente kennt die eigentliche Component aus der Java-Bibliothek.
`int` | `links()` Der linke Rand der Komponente wird zurueckgegeben.
`int` | `oben()` Der obere Rand der Komponente wird zurueckgegeben.
`void` | `setzeBearbeiterFokusErhalten(String pBearbeiter)` Die Methode zur Bearbeitung des FokusErhalten-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeBearbeiterFokusVerloren(String pBearbeiter)` Die Methode zur Bearbeitung des FokusVerloren-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeFarbe(Color pFarbe)` Die Hintergrundfarbe der Komponente wird geaendert.
`void` | `setzeFarbe(int pFarbe)` Die Hintergrundfarbe der Komponente wird veraendert
`void` | `setzeFokus()` Die Komponente erhaelt den Fokus.
`protected void` | `setzeFokusWert(boolean pFokus)` Die Komponente merkt sich, ob sie den Fokus hat.
`void` | `setzeGroesse(double pBreite, double pHoehe)` Die Komponente erhaelt eine neue Groesse.
`void` | `setzeHinweis(String pText)` Die Komponente erhaelt einen Hinweis (Tooltip, Hint), der angezeigt wird, wenn sich die Maus ueber der Komponente befindet.
`void` | `setzePosition(double pWohinH, double pWohinV)` Die Komponente erhaelt eine neue Position (Ecke oben links).
`void` | `verstecke()` Die Komponente wird unsichtbar, existiert aber weiter.
`void` | `zeige()` Die Komponente wird angezeigt.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hatComponent

    protected JComponent hatComponent

### kenntFenster

    protected Bildschirm kenntFenster

Constructor Detail

### Komponente

    public Komponente()

Method Detail

### aktiviere

    public void aktiviere()

  Die Komponente wird aktiviert.

### besitztFokus

    public boolean besitztFokus()

  Liefert die Information, ob die Komponente den Fokus besitzt.

  Returns:
    true, wenn die Komponente den Fokus besitzt

### breite

    public int breite()

  Die Breite der Komponente wird zurueckgegeben.

  Returns:
    die Breite der Komponente

### deaktiviere

    public void deaktiviere()

  Die Komponente wird deaktiviert und reagiert nicht mehr.

### farbe

    public Color farbe()

  Die Hintergrundfarbe der Komponente wird zurueckgegeben.

  Returns:
    die Hintergrundfarbe der Komponente

### fokusErhaltenBearbeiter

    protected String fokusErhaltenBearbeiter()

  Der Name der Methode zur Bearbeitung des FokusErhalten-Ereignisses in der Ereignisanwendung wird geliefert.

### fokusVerlorenBearbeiter

    protected String fokusVerlorenBearbeiter()

  Der Name der Methode zur Bearbeitung des FokusVerloren-Ereignisses in der Ereignisanwendung wird geliefert.

### gibFrei

    public void gibFrei()

  aus Kompatibilitaetsgruenden

### hoehe

    public int hoehe()

  Die Hoehe der Komponente wird zurueckgegeben.

  Returns:
    die Hoehe der Komponente

### init

    protected void init(double pLinks,
                        double pOben,
                        double pBreite,
                        double pHoehe)

  Position, Breite und Hoehe der Komponente werden festgelegt.

### istAktiv

    public boolean istAktiv()

  Es wird zurueckgegeben, ob die Komponente aktiviert ist.

  Returns:
    true, wenn die Komponente aktiv ist

### istSichtbar

    public boolean istSichtbar()

  Es wird zurueckgegeben, ob die Komponente sichtbar ist.

  Returns:
    true, wenn die Komponente sichtbar ist

### lerneKomponenteKennen

    protected void lerneKomponenteKennen(Bildschirm pFenster,
                                         JComponent pKomponente)

  Die Komponente kennt die eigentliche Component aus der Java-Bibliothek.

### links

    public int links()

  Der linke Rand der Komponente wird zurueckgegeben.

  Returns:
    der Abstand der Komponente vom linken Bildschirmrand

### oben

    public int oben()

  Der obere Rand der Komponente wird zurueckgegeben.

  Returns:
    der Abstand der Komponente vom oberen Bildschirmrand

### setzeBearbeiterFokusErhalten

    public void setzeBearbeiterFokusErhalten(String pBearbeiter)

  Die Methode zur Bearbeitung des FokusErhalten-Ereignisses in der Ereignisanwendung wird festgelegt.

  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn die Komponente den Fokus erhalten hat.

### setzeBearbeiterFokusVerloren

    public void setzeBearbeiterFokusVerloren(String pBearbeiter)

  Die Methode zur Bearbeitung des FokusVerloren-Ereignisses in der Ereignisanwendung wird festgelegt.

  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn die Komponente den Fokus verloren hat.

### setzeFarbe

    public void setzeFarbe(Color pFarbe)

  Die Hintergrundfarbe der Komponente wird geaendert.

  Parameters:
    `pFarbe` - die neue Hintergrundfarbe der Komponente

### setzeFarbe

    public void setzeFarbe(int pFarbe)

  Die Hintergrundfarbe der Komponente wird veraendert

  Parameters:
    `pFarbe` - die neue Hintergrundfarbe der Komponente

### setzeFokus

    public void setzeFokus()

  Die Komponente erhaelt den Fokus.

### setzeFokusWert

    protected void setzeFokusWert(boolean pFokus)

  Die Komponente merkt sich, ob sie den Fokus hat.

### setzeGroesse

    public void setzeGroesse(double pBreite,
                             double pHoehe)

  Die Komponente erhaelt eine neue Groesse.

  Parameters:
    `pBreite` - die neue Breite der Komponente
    `pHoehe` - die neue Hoehe der Komponente

### setzeHinweis

    public void setzeHinweis(String pText)

  Die Komponente erhaelt einen Hinweis (Tooltip, Hint), der angezeigt wird, wenn sich die Maus ueber der Komponente befindet.

  Parameters:
    `pText` - der Text des Tooltips

### setzePosition

    public void setzePosition(double pWohinH,
                              double pWohinV)

  Die Komponente erhaelt eine neue Position (Ecke oben links).

  Parameters:
    `pWohinH` - die neue horizontale Position der linken oberen Ecke
    `pWohinV` - die neue vertikale Position der linken oberen Ecke

### verstecke

    public void verstecke()

  Die Komponente wird unsichtbar, existiert aber weiter.

### zeige

    public void zeige()

  Die Komponente wird angezeigt.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD